package com.its.api.its.repository.statistics;

import com.its.api.its.model.dto.statistics.TrafficStatDto;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface TrafficHourStatisticsMapper {

    // 시간대 검색 - 15분, 시간(링크, 서비스링크, 도로)
    List<TrafficStatDto> findAllLink15M(Map<String, String> param);
    List<TrafficStatDto> findAllLinkHH(Map<String, String> param);

    List<TrafficStatDto> findAllIfsc15M(Map<String, String> param);
    List<TrafficStatDto> findAllIfscHH(Map<String, String> param);

    List<TrafficStatDto> findAllRoad15M(Map<String, String> param);
    List<TrafficStatDto> findAllRoadHH(Map<String, String> param);
}
